nload(1)

NAME
nload - displays the current network usage

SYNOPSIS
nload [-a period] [-i max_scaling] [-m] [-o max_scaling] [-t interval] [-u h|H|b|B|k|K|m|M|g|G] [-U h|H|b|B|k|K|m|M|g|G] [devices]

nload --help|-h

DESCRIPTION
nload is a console application which monitors network traffic and bandwidth usage in real time. It visualizes the in- and outgoing traffic using two graphs and provides additional info like the total amount of transfered data and min/max network usage.

USAGE
When running nload, you can switch between the devices (which you gave nload either on the command line or which were auto-detected) by pressing the left and right arrow keys. If the -m command line parameter is given, the arrow keys switch as many devices back and forth as there are shown on the screen. If you want to quit, do so by pressing 'q' or 'Ctrl+C'.

For further key shortcuts, have a look at the sections MAIN WINDOW and OPTION WINDOW below.

OPTIONS
A summary of the options supported by nload is included below.

-a period
    Sets the length in seconds of the time window for average calculation. The default is 300.

-i max_scaling
    Specifies the 100% mark in kBit/s of the graph indicating the incoming bandwidth usage. Ignored if max_scaling is 0 or the switch -m is given. The default value for max_scaling is 10240.

-m  Show multiple devices at a time; do not show the traffic graphs.

-o max_scaling
    Same as -i but for the graph indicating the outgoing bandwidth usage.

-t interval
    Determines the refresh interval of the display in milliseconds. The default value of interval is 500.

    PLEASE NOTE: Specifying refresh intervals shorter than about 100 milliseconds makes traffic calculation very unprecise. Also the display may flicker using such short refresh intervals. nload tries to balance this out by doing extra time measurements, but this may not always succeed.

-u h|H|b|B|k|K|m|M|g|G
    Sets the type of unit used for the display of traffic numbers. h means human readable (auto), b Bit/s, k kBit/s, m MBit/s and g GBit/s. The upper case letters mean the corresponding units in Bytes (instead of Bits). The default is k.

-U h|H|b|B|k|K|m|M|g|G
    Same as -u, but for an amount of data, e.g. Bit, kByte, GBit etc. (without "/s"). The default is M.

devices
    Network devices to use. The default is "all", which means to display all auto-detected devices.

-h, --help
    Show a short summary of these command line options.

MAIN WINDOW
After starting, nload begins to monitor the network devices given on the command line, or, if none where specified, the default device. In this mode, the following key shortcuts are available.

'ArrowRight', 'ArrowDown', 'PageDown', 'Enter', 'Tab'
    Switch the display to the next network device, or, when started with the -m flag, to the next page of devices.

'ArrowLeft', 'ArrowUp', 'PageUp'
    Switch the display to the previous network device, or, when started with the -m flag, to the previous page of devices.

'F2'
    Show the option window (see section OPTION WINDOW below).

'F5'
    Save current settings to the user's config file.

'F6'
    Reload settings from the config files.

'q', 'Ctrl+C'
    Quit nload.

OPTION WINDOW
The parameters given to nload on the command line can be adjusted during run time by pressing the 'F2' key. A small window appears on the top of the screen, listing the available settings.

'F2'
    Show/hide the option window.

'ArrowLeft', 'ArrowRight', 'Home', 'End'
    Navigate within the edit fields.

'ArrowUp', 'ArrowDown', 'Enter'
    Navigate between the settings.

'PageUp', 'PageDown', 'Tab'
    Toggle between the different values possible for the current field.

'+' / '-'
    Switch to the next / previous page of settings.

FILES

/opt/etc/nload.conf
    System-wide configuration file.

$(HOME)/.nload
    User-specific configuration file (overrides system-wide settings).

/sys/class/net/*/* /proc/net/dev
    are read by nload when running on Linux to get the network traffic data.

VERSION
This manual page describes version 0.7.2 of nload.

For updates, look at the nload homepage:
http://www.roland-riegel.de/nload/

HELP
If you need help, either contact me directly (see below) or write to the nload-user mailing list at
nload-user@lists.sourceforge.net
after having subscribed at
https://lists.sourceforge.net/lists/listinfo/nload-user.

AUTHOR
Copyright (C) 2001 - 2008 Roland Riegel <feedback@roland-riegel.de>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.